Bug 432123 - vim 7.1.211-1.fc7 doesn't work with Ada
vim 7.1.211-1.fc7 doesn't work with Ada
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: vim (Show other bugs)
7
All Linux
low Severity low
: ---
: ---
Assigned To: Karsten Hopp
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-08 17:57 EST by H.J. Lu
Modified: 2008-03-13 03:44 EDT (History)
0 users

See Also:
Fixed In Version: 7.1.245-1.fc7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-13 03:44:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description H.J. Lu 2008-02-08 17:57:16 EST
# vim layout.adb
...
"layout.adb" 3164L, 114453C
Error detected while processing /usr/share/vim/vim71/ftplugin/ada.vim:
line  111:
E121: Undefined variable: g:ada_default_compiler
E15: Invalid expression: "compiler " . g:ada_default_compiler
Error detected while processing function ada#Map_Popup:
line    1:
E121: Undefined variable: g:mapleader
E116: Invalid arguments for function escape(g:mapleader . "a" . a:Keys , '\') . 
" :"^I  . a:Command . "<CR>"
E15: Invalid expression: "50amenu " . "PopUp."   . escape(a:Text, ' ') . "<Tab>"
^I  . escape(g:mapleader . "a" . a:Keys , '\') . " :"^I  . a:Command . "<CR>"
Error detected while processing function ada#Map_Popup..ada#Map_Menu:
line   26:
E121: Undefined variable: g:mapleader
E116: Invalid arguments for function escape(g:mapleader . "a" . a:Keys , '\') . 
" :"^I  . a:Command . "<CR>"
E15: Invalid expression: "50amenu " . "Ada."  . escape(a:Text, ' ') . "<Tab>" . 
escape(g:mapleader . "a" . a:Keys , '\') . " :"^I  . a:Command . "<CR>"
line   31:
E121: Undefined variable: g:mapleader
E116: Invalid arguments for function escape(g:mapleader . "a" . a:Keys , '\') ."
 :" . a:Command
-- More --
Comment 1 Fedora Update System 2008-02-12 04:46:15 EST
vim-7.1.245-1.fc7 has been submitted as an update for Fedora 7
Comment 2 Fedora Update System 2008-02-12 23:57:04 EST
vim-7.1.245-1.fc7 has been pushed to the Fedora 7 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update vim'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F7/FEDORA-2008-1489
Comment 3 Fedora Update System 2008-03-13 03:44:45 EDT
vim-7.1.245-1.fc7 has been pushed to the Fedora 7 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.